great patch for FF's usability fail Rated 5 out of 5 stars

mandatory plugin :)

This review is for a previous version of the add-on (2011.04.06.18.1-signed).